<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package influence
 * @since influence 1.0
 * @license GPL 2.0
 */
?>

<article id="post-0" class="entry no-results not-found">

	<div class="post-text">

		<header class="entry-header">
			<h1 class="entry-title"><?php _e( 'Ничего не найдено', 'influence' ); ?></h1>
		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

				<p><?php printf( __( 'Готовы опубликовать свой первый пост? <a href="%1$s">Начните отсюда</a>.', 'influence' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

			<?php elseif ( is_search() ) : ?>

				<p><?php _e( 'Извините, но по Вашему запросу ничего не было найдено. Попробуйте изменить ключевые слова.', 'influence' ); ?></p>
				<?php get_search_form(); ?>

			<?php else : ?>

				<p><?php _e( 'Мы не нашли то, что вы ищете. Попробуйте воспользоваться поиском.', 'influence' ); ?></p>
				<?php get_search_form(); ?>

			<?php endif; ?>
		</div><!-- .post-text -->

	</div><!-- .entry-content -->

</article><!-- #post-0 .post .no-results .not-found -->
